.login-or-signup {
  display: flex;
  gap: 40px;
  padding-top: 100px;
  flex-direction: column;
  align-items: flex-start;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.loginSignup{
  display: flex;
  gap: 40px;
  padding-top: 100px;
  flex-direction: row;
  align-items: flex-start;
  justify-content: center;
  flex-wrap: wrap;
}

.form-container {
  border: 2px solid #ccc;
  padding: 30px;
  border-radius: 12px;
  width: 500px;
  background-color: #f9f9f9;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
  height: 450px;
}

.form-container:hover {
  transform: translateY(-10px);
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

.form-container h2 {
  font-size: 24px;
  margin-bottom: 20px;
  color: #333;
  text-align: center;
}

.form-container input {
  width: 100%;
  padding: 15px;
  margin-bottom: 20px;
  border: 2px solid #ccc;
  border-radius: 6px;
  box-sizing: border-box;
  font-size: 18px;
  transition: border-color 0.3s, box-shadow 0.3s;
}

.form-container input:focus {
  border-color: #007bff;
  box-shadow: 0 0 10px rgba(0, 123, 255, 0.25);
  outline: none;
}

.form-container button {
  width: 100%;
  padding: 15px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  font-size: 18px;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

.form-container button:hover {
  background-color: #0056b3;
  transform: scale(1.05);
}

.form-container p {
  color: red;
  margin-top: 15px;
  font-size: 16px;
  text-align: center;
}